# This is the makefile for the UNIX/QDOS-version of the LTOOLS

CC=gcc

LKFLAGS=
CCFLAGS= -DUNIX -DSANITY_CHECKS

INCLUDES=ldir.h  proto.h  ext2.h  makefile.unx

OBJS= main.o readdisk.o dir.o super.o inode.o group.o util.o rfs.o

ldir:	$(OBJS)
		$(CC) $(LKFLAGS) -o ldir $(OBJS)
	        mv -f ldir      ../bin.unx
	        cp -f lchange   ../bin.unx
	        cp -f lread     ../bin.unx
	        cp -f lwrite    ../bin.unx
	        cp -f ldel      ../bin.unx
	        cp -f lren      ../bin.unx
		cp -f lmkdir    ../bin.unx
		cp -f lln       ../bin.unx
		cp -f ldrive    ../bin.unx
		cp -f lcd       ../bin.unx
		cp -f rfstool/rfstool   ../bin.unx
		chmod 755       ../bin.unx/l*

.c.o:
	$(CC) $(CCFLAGS) -c $<

clean:
	rm -f *.o
	rm -f ldir
	rm -f *~

save:
	zip -9 lxr *.c *.h makefile.*
	cp lxr.zip ..

